package ei.engine.input;


public abstract class Input{
	// The name of this input
	private String name;
	// is this input enabled
	private boolean enabled;
	
	public Input(String name){
		this.enabled = true;
	}
	
	/**
	 * @return The name of the entity
	 */
	public String getName() {
		return name;
	}
	
	/**
	 * returns if this input is enabled
	 * 
	 * @return if this input is enabled
	 */
	public boolean isEnabled(){
		return enabled;
	}
	
	/**
	 * Set if this input is enabled
	 * 
	 * @param b if this input is enabled
	 */
	public void setEnabled(boolean b){
		enabled = b;
	}
	
	
	public abstract void update();
	
	public abstract void render();
}
